<template>
  <!-- Page Content -->
  <div class="container">

    <div class="row">



      <div class="col">
        <div class="card mt-4">
          <div class="card-body">
            <h3 class="card-title">Oh la belle équipe de {{currentRecipient.title}} </h3>
            <h5 class="card-title">Composée de {{currentRecipient.recipients.length}} membres</h5>

            <div v-for="team in currentRecipient.recipients" :key="team.id" class="media mb-2" >
              <img class="mr-3 rounded" style='height:120px' v-bind:src="team.avatar" alt="Generic placeholder image">
              <div class="media-body">
                <h5 class="mt-0">{{team.firstName + ' ' + team.lastName}}</h5>
                <span class="badge badge-info">{{team.email}}</span>
                <br />
              </div>
            </div>

          </div>
        </div>

      </div>


    </div>

  </div>
  <!-- /.container -->


</template>


<script>

import {recipientsGroup} from '@/assets/js/recipientsGroup'


export default {
  name: 'TeamsDetails',
  data:()=>({
    localTeam:recipientsGroup,
    currentRecipient:{},
  }),
  methods:{

  },
  created(){

    this.currentRecipient = this.localTeam.find(recipientsGroup =>recipientsGroup.id==this.$route.params.teamId);

  }
}
</script>